Bug 428927 - anaconda fails with cannot unmount image /mnt/source
anaconda fails with cannot unmount image /mnt/source
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-15 21:41 EST by Andrew Farris
Modified: 2008-01-23 03:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-23 03:38:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
error message, text installer (26.96 KB, image/png)
2008-01-15 21:41 EST, Andrew Farris
no flags Details
VT 3 image (40.29 KB, image/png)
2008-01-15 21:42 EST, Andrew Farris
no flags Details
umount /mnt/source on VT 2, fails (37.13 KB, image/png)
2008-01-15 21:42 EST, Andrew Farris
no flags Details

  None (edit)
Description Andrew Farris 2008-01-15 21:41:08 EST
Description of problem:
During installation today using rawhide 20080115 boot.iso stage2.img net
install, anaconda complains about not being able to unmount /mnt/source (see
attach).  The RPM it had downloaded is also shown in VT as corrupt. 
Installation could not continue.

Version-Release number of selected component (if applicable):

How reproducible:
Have not attempted reinstall yet.
Comment 1 Andrew Farris 2008-01-15 21:41:08 EST
Created attachment 291792 [details]
error message, text installer
Comment 2 Andrew Farris 2008-01-15 21:42:05 EST
Created attachment 291793 [details]
VT 3 image
Comment 3 Andrew Farris 2008-01-15 21:42:46 EST
Created attachment 291794 [details]
umount /mnt/source on VT 2, fails
Comment 4 Andrew Farris 2008-01-15 21:48:11 EST
Clicking OK in the installer causes the shown error message to be repeated for
each time, exception in _unmountCD.
Comment 5 Eric Sandeen 2008-01-16 16:21:58 EST
I got this too on an http install

going to a shell and mounting $ANYTHING on /mount/source, to give it something
to unmount, got past it.

But then I too had a corrupt and/or unfound downloaded rpm, and install bailed.
Comment 6 Eric Sandeen 2008-01-16 17:39:08 EST
so, it appears that it's confused about whether it has install media:

        if self.currentMedia is None:
            unmountCD(self.tree, self.anaconda.intf.messageWindow)
            self.currentMedia = None

but this was a net install... yet I got to unmountCD?

also, getting past that, I hit a dialog with:

"the file blah cannot be opened... verify installation source.\nIf you exit,
your system will be left in an inconsistent state ...." [Reboot][Reboot]

this is because I failed to d/l an rpm through my mod_cache server, I think -
tho maybe anaconda should retry?

Anyway, the fun 2 choices between reboot & reboot:


    def _handleFailure(self, package):
        if not self.isodir and self.currentMedia:
            buttons = [_("Re_boot"), _("_Eject")]
            buttons = [_("Re_boot"), _("_Reboot")]

Comment 7 Chris Lumens 2008-01-16 18:51:00 EST
I think this will be fixed in the next build of anaconda.  Since you guys have
no problems with having corrupted or missing packages, please give it a try and
let me know.  Thanks.
Comment 8 Andrew Farris 2008-01-23 03:38:01 EST
Just did an install on the rescue cd i386 iso built by releng and this is no
longer an issue at least there. (I didn't see anaconda version for it, but its
current rawhide as of my comment)

If the other posters see this occur again report back; I'm going to close it for

Note You need to log in before you can comment on or make changes to this bug.